
<div class="file-drop-area" appDragDrop (onFileDropped)="uploadFile($event)">
	<button mat-flat-button [disabled]="disabled" >Выбрать файл</button>
	<span class="file-msg">{{file ? file.name : 'или перетащите файл сюда' }}</span>
	<input class="file-input"
		#inputFile
		type="file"
		[accept]="fileAccept"
		[multiple]="multiple"
		[disabled]="disabled">
	<button mat-icon-button
	        *ngIf="file"
	        (click)="delete($event)"
			[disabled]="disabled">
		<mat-icon svgIcon="close"> </mat-icon>
	</button>
</div>

<mat-progress-bar *ngIf="progress"  mode="determinate" [value]="progress"></mat-progress-bar>

